
Name:          validator-htmlparser
Version:       1.3.1
Release:       %mkrel 2
Summary:       An implementation of the HTML5 parsing algorithm in Java
Group:         Development/Java
License:       MIT
Url:           http://about.validator.nu/htmlparser/
Source0:       http://about.validator.nu/htmlparser/htmlparser-1.3.1.zip
Patch0:        htmlparser-1.3.1-remove-rpm-plugin.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin

BuildRequires: icu4j
BuildRequires: jchardet
BuildRequires: jsontools
BuildRequires: xom
BuildRequires: forge-parent

Requires:      icu4j
Requires:      jchardet
Requires:      xom

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch


%description
The Validator.nu HTML Parser is an implementation of the HTML5 parsing algorithm in Java for applications that do not run scripts. The parser is designed to work as a drop-in replacement for the XML parser in applications that already support XHTML 1.x content with an XML parser and use SAX, DOM or XOM to interface with the parser.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n htmlparser-%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
%patch0 -p0

sed -i "s|<version>1.3</version>|<version>%{version}</version>|" pom.xml

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done


%build

mvn-rpmbuild install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/htmlparser-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Jan 16 2013 dmorgan <dmorgan> 1.3.1-2.mga3
+ Revision: 388643
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 gil <gil> 1.3.1-1.mga2
+ Revision: 199775
- imported package validator-htmlparser

